# GEF Common Developer Documentation

- Introduction
- Common
- Activate
- IActivatable
- ActivatableSupport
- Adapt
- IAdaptable, AdapterKey
- IAdaptable.Bound
- AdaptableSupport
- AdapterStore
- Adapt.Inject
- AdapterInjectionSupport, AdaptableTypeListener, AdapterInjector
- @InjectAdapters
- AdapterMap, AdapterMaps
- AdaptableScope, AdaptableScopes
- Attributes
- IAttributeStore
- IAttributeCopier
- Beans.Binding
- Beans.Property
- Beans.Value
- Collections
- CollectionUtils
- ObservableMultiset, ObservableMultisetWrapper, UnmodifiableObservableMultisetWrapper
- ObservableSetMultimap, ObservableSetMultimapWrapper, UnmodifiableObservableSetMultimapWrapper
- MultisetListenerHelper, SetMultimapListenerHelper
- ObservableListWrapperEx
- ListListenerHelperEx, SetListenerHelperEx, MapListenerHelperEx
- Dispose
- IDisposable
- Reflect
- Types
- ReflectionUtils